# Functor Core_map.Make_using_comparator

    module Make_using_comparator: functor (Key : sig
    type t

    include Comparator.S

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.tend) -> S
        with type Key.t                  = Key.t
        with type Key.comparator_witness = Key.comparator_witness

Parameters:

`Key` | : | `sig type t with sexp include Comparator.S with type t := t end`